package sgc.portal.cw.cw0102.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0102.dto.CW01020001USearch;
import sgc.portal.cw.cw0102.model.CW01020001U;

import java.util.List;

@Mapper
public interface CW01020001UMapper {
	
	
    List<EasyHashMap<String, Object>> getList(CW01020001USearch search);

    int insert(CW01020001U cW01020001U);

    int update(CW01020001U cW01020001U);

    int delete(CW01020001U cW01020001U);
    
    int approve(CW01020001U cW01020001U);
    
    int reject(CW01020001U cW01020001U);
}
